using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.Core
{
    [System.Serializable]
    public class ObjectSerializer
    {
        [SerializeField, HideInInspector] public Dictionary<string, object> objects = new Dictionary<string, object>();
        [SerializeField, HideInInspector] public Dictionary<string, GameObject> gameObjecs = new Dictionary<string, GameObject>();
        [SerializeField, HideInInspector] public Dictionary<string, Component> components = new Dictionary<string, Component>();
        [SerializeField, HideInInspector] public Dictionary<string, ScriptableObject> scriptableObjects = new Dictionary<string, ScriptableObject>();

        public void Clear()
        {
            objects.Clear();
            gameObjecs.Clear();
            components.Clear();
            scriptableObjects.Clear();
        }
    }

}
